module SubmissionPolicy

  def submit?
    record if owns? && user.is_submitter?
  end

  def submissions?
    return false if user.nil?
    record if user_can_curate?
  end

  def show_submission?
    return false if user.nil?
    record if user_can_curate?
  end

end
